%define name uninstaller-for-adobe-air
%define version 1.0.1
%define release %mkrel 1


Summary:        Easy solution for uninstalling Adobe AIR applications.
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Video
License:        GPLv3
URL:            http://blogs.media-tips.com/bernard.opic/uninstaller-for-adobe-air/
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  qt4-devel desktop-file-utils


%description
When installing an AIR application it is possible to first save the installation program file (. air). This file will then allow to install but also to uninstall the application, provided that the AIR engine is installed and functional.

If you install an AIR application from its source without saving its installation program file, or if the AIR engine is not available, uninstalling an AIR application can be difficult on a GNU/Linux system because it requires the use of system commands via a shell.

Thanks to Uninstaller for Adobe AIR it becomes very easy to uninstall an AIR application since it suffices to choose it from a list of installed applications and click on an Uninstall button.

Designed to compatible with the GNU/Linux distributions and with the GNOME and KDE window managers.


%prep
%setup -q


%build
export QTDIR=%{_libdir}/qt4
export PATH=$QTDIR/bin:$PATH
qmake %{name}.pro

%make 


%install
rm -rf %{buildroot}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
cp -r desktop/*.desktop %{buildroot}%{_datadir}/applications

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Categories=Utility;X-MandrivaLinux-Multimedia-Other;
Name=Uninstaller for Adobe AIR
Comment=Easy solution for uninstalling Adobe AIR applications.
Icon=%{name}
Exec=%{name}
EOF

#man
mkdir -p %{buildroot}%{_datadir}/man/man1
cp -r man/%{name}.1 %{buildroot}%{_datadir}/man/man1
mkdir -p %{buildroot}%{_datadir}/man/fr/man1
cp -r man/%{name}_fr.1 %{buildroot}%{_datadir}/man/fr/man1

#menu icon
install -D -m 644 icons/%{name}-48.png %{buildroot}%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/man/fr/man1/*.bz2
%{_datadir}/man/man1/*.bz2

%changelog
* Wed Mar 10 2010 slick50 <lxgator@gmail.com> 1.0.1-1pclos2010
- 1.0.1

* Thu Mar 04 2010 slick50 <lxgator@gmail.com> 1.0.0-1pclos2010
- initial pkg
